nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    z-index: 999;
    background-color: white;
}

nav::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translateX(0%);
    width: 100%;        
    height: 1px;      
    background-color: #ffae00;
}

.menu {
    display: flex;
    gap: 20px;
    list-style: none;
}

nav .acoes ul {
    display: flex;
    gap: 20px;
    list-style: none;
}

nav .acoes ul li a {
    text-decoration: none;
    color: #fff;
    font-size: 16px;
    font-family: 'Inter', sans-serif;
    background-color: #000;
    padding: 10px 15px;
    border-radius: 6px;
}

.navbar {
    position: fixed;
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    z-index: 1000;
}
ul li a {
    color: transparent; 
    background-image: linear-gradient(to right, #ff7606 50%, #000 50%);
    background-size: 200% 100%;
    background-position: 100%;

    -webkit-background-clip: text;
    background-clip: text;

    text-decoration: none;
    transition: background-position 0.4s ease;
}

ul li a:hover {
    background-position: 0%;
}

#nav-icon4 {
  position: relative;
  cursor: pointer;
  display: none; 
  z-index: 1001;
}

#nav-icon4 span {
  position: absolute;
  height: 3px;
  width: 100%;
  border-radius: 4px;
  transition: 0.4s ease;
}
#nav-icon4 span {
  background: #000; 
}

#nav-icon4.open span {
  background: red; 
}
#nav-icon4 span:nth-child(1) {
  top: 0;
  transform-origin: left center;
}

#nav-icon4 span:nth-child(2) {
  top: 9px;
  transform-origin: left center;
}

#nav-icon4 span:nth-child(3) {
  top: 18px;
  transform-origin: left center;
}

#nav-icon4.open span:nth-child(1) {
  transform: rotate(45deg);
  top: 9px;
  left: 5px;
}

#nav-icon4.open span:nth-child(2) {
  opacity: 0;
  width: 0;
}

#nav-icon4.open span:nth-child(3) {
  transform: rotate(-45deg);
  top: 30px;
  left: 5px;
}

@media (max-width: 768px) {
  #nav-icon4 {
    display: block;
  }

  .menu {
    position: fixed;
    inset: 0;
    background: #000000bf;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    transform: translateY(-100%);
    transition: 0.5s ease;
    z-index: 1000;
  }

  .menu.active {
    transform: translateY(0);
  }

  .menu li a {
    color: #fff;
    font-size: 24px;
  }
}
